#!/bin/bash

# This small thingy is useful when you wish to strip away blank lines
# and comments from a file. It takes one argument - the file you
# wish to strip/make clean. It will output the result to a .mini
# file.

if [ ! -z "$1" ]; then
 echo "stripping file: $1"
 echo "  result is in: $1.clean"
 cat $1 | grep -v "^#" | sed -e /^$/d > $1.clean
 if [ "$?" = "0" ]; then
  echo "command completed successfully."
 else
  echo "command failed."
 fi
else
 echo "usage: $0 filename"
fi
exit 0
